<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

    <title>Security Hands-on</title>
    <meta name="description" content="Security hands-on for the Course Big Data Tools for Advanced Professionals hands-on">
    <meta name="author" content="Ole Mussmann">

    <link rel="icon" type="image/x-icon" href="./files/favicon-32x32.png">

    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link rel="stylesheet" href="dist/reset.css">
    <link rel="stylesheet" href="dist/reveal.css">

    <!-- theme -->
    <link rel="stylesheet" href="dist/theme/black.css" id="theme">
    <link rel="stylesheet" href="dist/theme/escience_5.1.0.css" id="theme">

    <!-- fonts -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Assistant:wght@200..800&family=Fira+Code:wght@300..700&family=Nunito:ital,wght@0,200..1000;1,200..1000&display=swap">
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">

    <!-- Theme used for syntax highlighted code -->
    <link rel="stylesheet" href="plugin/highlight/monokai.css">

    <!-- Load jQuery -->
    <script
      src="https://code.jquery.com/jquery-3.4.1.min.js"
      integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo="
      crossorigin="anonymous"></script>
    <script src="http://localhost:35729/livereload.js"></script>

  </head>
  <body>
    <div class="reveal">
      <div class="slides">

        <section data-state="blue_overlay yellow_flag yellow_strip purple_half_circle_bottom purple_blob right_e_top" data-background-video="./files/Mood video Homepage 2.mp4" data-background-video-loop data-background-video-muted="true">
          <!-- https://pixabay.com/users/ollis_picture-3313651 under CC0 -->
          <img style="position: absolute; top: 0px; left: 50%; transform: translate(-100%, 0%); height:5vh;" data-src="./files/logo.png">
          <img style="position: absolute; top: 0px; left: 50%; transform: translate(+100%, 0%); height:5vh; background: white; opacity: 0.7; border-radius: 4px; padding: 5px;" data-src="./files/cbs-brand.svg"-->
          <img style="position: absolute; top: 0px; left: 50%; transform: translate(+100%, 0%); height:5vh; padding: 5px;" data-src="./files/cbs-brand.svg"-->
          <h2><br><br>Security Hands-on</h2>
          <h3>Pokemon &amp; Passwords</h3>
          <h5><br><a href="mailto:o.mussmann@esciencecenter.nl">Bjoern Ole Mussmann</a><br>The Netherlands eScience Center</h5>
        </section>

        <section id="pokemon" data-state="purple_overlay logo yellow_flag" data-background="./files/compass-2946959_1920.jpg" data-markdown>
          <!-- https://pixabay.com/photos/compass-map-direction-degrees-2946959/ -->
          <textarea data-template>
            ## Pokemon and Password Cracking

            Right click, Save Link As... <a href="https://raw.githubusercontent.com/OleMussmann/password_cracking/main/Password.ipynb">Password.ipynb</a>

            Open <a href="https://colab.research.google.com/">colab.research.google.com</a> and upload the notebook.

            <img style="width: 23%; float: left; padding: 0; margin: 0;" src="./files/hacker_cat.svg"/>
            <div style="width: 77%; float: right;">
              <br>
              Edit the notebook and learn about Pokemon & Passwords.
            </div>
          </textarea>
        </section>

        <section id="summary" data-state="black_overlay 2 yellow_flag logo" data-background="./files/note-pad-1215425_1920.jpg">
          <!-- https://pixabay.com/illustrations/note-pad-pen-coffee-cup-plant-1215425/ -->

          <div style="transform: rotate(-5deg); width: 82%; float: left;">
            <h2 style="color: black;">Summary</h2>
            <p style="color: black;">We have learned about:</p>
            <ul style="color: black;">
              <li>Phishing</li>
              <li>Password security</li>
              <li>Hashing</li>
              <li>Password cracking</li>
            </ul>
          </div>
        </section>

      </div>
    </div>

    <script src="dist/reveal.js"></script>

    <script src="plugin/highlight/highlight.js"></script>
    <script src="plugin/markdown/markdown.js"></script>
    <script src="plugin/math/math.js"></script>
    <script src="plugin/notes/notes.js"></script>
    <script src="plugin/search/search.js"></script>
    <script src="plugin/zoom/zoom.js"></script>
    <!--
    <script src="reveal.js/4.3.1/reveal.js-plugins/menu/menu.js"></script>
    -->

    <script src="dist/theme/escience_5.1.0.js"></script>

    <script>
      // More info about initialization & config:
      // - https://revealjs.com/initialization/
      // - https://revealjs.com/config/
      Reveal.initialize({
        hash: true,

        // Automatically activate the scroll view when we the viewport falls
        // below the given width.
        scrollActivationWidth: 0,  // disabled

        // Force the scrollbar to remain visible
        scrollProgress: true,

        // Learn about plugins: https://revealjs.com/plugins/
        plugins: [ RevealMarkdown, RevealHighlight, RevealNotes ]
      });
    </script>
  </body>
</html>
